> For the complete documentation index, see [llms.txt](https://docs.probe.splx.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.probe.splx.ai/platform-api/getting-started.md).

# Getting Started

## Hierarchy Of Concepts

To fully understand all the features available, keep in mind the **hierarchy of concepts** from higher to lower level:

* Workspace - the essential base required to create targets, perform tests, and configure probes, allowing all other actions and processes to be carried out within the platform.
  * [**Target**](/ai-red-teaming/probe/target.md) - your **generative AI application being** tested by executing Test Runs.
    * [**Test Run**](/ai-red-teaming/probe/test-run.md) **-** consist of one or more [**Probes**](/ai-red-teaming/probe.md). When a Test Run is started, the associated Probe Runs are executed sequentially.
      * [**Probe Run**](/ai-red-teaming/probe/probe-run.md) (e.g. Context Leakage, Jailbreak etc.) - all Test Cases **associated with the specific vulnerability** that the Probe is designed to detect. It cannot be triggered independently, it can only be triggered through a Test Run.
        * [**Test Case**](/ai-red-teaming/probe/probe-run/test-case-details.md) **-** an adversarial attempt defined by a strategy, a red-teamer, and a variation. It is executed against the target and validated to determine whether the attack attempt succeeded. Based on the outcome the Test Case status is marked Passed (attack did not succeed) or Failed (attack succeeded, vulnerability found).

## AI Red Teaming

The REST API enables you to automate the same [testing workflow available through the Platform](/ai-red-teaming/probe.md#getting-started). This section walks you through the typical steps of performing an AI system validation using the API.

1. **Authenticate**

* All users, including those on free accounts, [must generate a Personal Access Token and include it in a request header](/platform-api/authentication.md) to interact with the Platform API. You can try your Authentication with a request a simple endpoint:\
  get `/api/workspace`

&#x20;

2. **Aquire your WorkspaceId**

* New Workspace - must be created through GUI.&#x20;

or

* [Get list of Workspaces (and their Targets) accessible to the user](/platform-api/api-reference/workspace.md#get-api-workspace):\
  get `/api/workspace`&#x20;

3. **Aquire your TargetId**

* [Create a Target for a specific Workspace](/platform-api/api-reference/target.md#post-api-v2-workspaces-workspaceid-target):\
  post `/api/v2/workspaces/{workspaceId}/target`

or

* Get TargetId from a step 2: Aquire your WorkspaceId.

{% hint style="info" %}
WorkspaceId, TargetId and ProbeId also can be checked [through GUI URL](/platform-api/platform-url-s.md).
{% endhint %}

5. **Configure your Probes**

* [Check what is already configured on your Target](/platform-api/api-reference/workspace.md#get-api-workspace)\
  get `/api/workspaces/{workspaceId}/target/{targetId}/probe-settings`
* [Check which predefined probes can be configured (grouped by Probe Category)](/platform-api/api-reference/probe.md#get-api-probe-predefined)\
  get `/api/probe/predefined`
* [Activate new Probes for a Target, predefined or custom (Create a new Probe Settings)](/platform-api/api-reference/probe-settings.md#post-api-workspaces-workspaceid-target-targetid-probe-settings)\
  post `/api/workspaces/{workspaceId}/target/{targetId}/probe-settings`
* [Update existing Probes for a Target (Update Probe Settings)](/platform-api/api-reference/probe-settings.md#patch-api-workspaces-workspaceid-target-targetid-probe-settings-probesettingsid)\
  patch `/api/workspaces/{workspaceId}/target/{targetId}/probe-settings/{probeSettingsId}`

4. **Get your Target Connection information**

* [Check your Target's Connection Configuration](/platform-api/api-reference/target.md#get-api-v2-workspaces-workspaceid-target-targetid)\
  get `/api/v2/workspaces/{workspaceId}/target/{targetId}`
* Check your Target's connectivity (Ping)\
  \<todo>

6. **Execute a Test Run**

* [Trigger Test Run for a specific Target](/platform-api/api-reference/probe-settings.md#post-api-workspaces-workspaceid-target-targetid-probe-settings)\
  post `/api/workspaces/{workspaceId}/test-run/trigger`
* [Get Test Run status](/platform-api/api-reference/test-run.md#get-api-workspaces-workspaceid-test-run-id-status)\
  get `/api/workspaces/{workspaceId}/test-run/{id}/status`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.probe.splx.ai/platform-api/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
